- Qt 6.8
- Qt Core
- C++ Classes
- QMetaClassInfo
- Qt 6.8.3 Reference Documentation

# QMetaClassInfo Class

The QMetaClassInfo class provides additional information about a class. More...

Header: | `#include <QMetaClassInfo>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`

- List of all members, including inherited members

## Public Functions

const char * | name() const
const char * | value() const

## Detailed Description

Class information items are simple name–value pairs that are specified using Q_CLASSINFO() in the source code. The information can be retrieved using name() and value(). For example:

     class MyClass
     {
         Q_OBJECT
         Q_CLASSINFO("author", "Sabrina Schweinsteiger")
         Q_CLASSINFO("url", "http://doc.moosesoft.co.uk/1.0/")

     public:
         ...
     };

This mechanism is free for you to use in your Qt applications.

Note: It's also used by the Active Qt, Qt D-Bus, Qt Qml, and Qt Remote Objects modules. Some keys might be set when using these modules.

See also QMetaObject.

## Member Function Documentation

### const char *QMetaClassInfo::name() const

Returns the name of this item.

See also value().

### const char *QMetaClassInfo::value() const

Returns the value of this item.

See also name().